package com.example;

import com.azure.data.appconfiguration.ConfigurationClient;
import com.azure.data.appconfiguration.ConfigurationClientBuilder;
import com.azure.data.appconfiguration.models.ConfigurationSetting;
import com.azure.data.appconfiguration.models.SettingSelector;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JavaAzureAppConfigApplication {

    private static final Logger LOGGER = LoggerFactory.getLogger(JavaAzureAppConfigApplication.class);

    public static void main(String[] args) {
        try {
            LOGGER.info("JavaAzureAppConfigApplication...");
            String app_configuration_connection_string = System.getenv("APP_CONFIGURATION_CONNECTION_STRING");
            ConfigurationClient configurationClient = new ConfigurationClientBuilder().connectionString(app_configuration_connection_string).buildClient();

            LOGGER.info("Read Single Value by key");
            ConfigurationSetting configurationSetting = configurationClient.getConfigurationSetting("config.message", null);
            LOGGER.info("Message: {}", configurationSetting.getValue());

            LOGGER.info("Read All Values...");
            configurationClient.listConfigurationSettings(new SettingSelector()).forEach(property -> LOGGER.info("Message: {}", property.getValue()));
        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
        }
    }
}
